import { Navigate, Outlet } from 'react-router';
import { useAuth } from '@/providers/auth-provider';

export const AuthGuard = () => {
    const { isAuthenticated } = useAuth();

    if (!isAuthenticated) {
        return <Navigate to="/login" replace />;
    }

    return <Outlet />;
};
